body:has(.why-viewer) {
    overflow-x: clip;
}

.why-viewer {
    background: linear-gradient(180deg, #010C25 56.28%, #032576 100%);
    border-bottom: 2px solid;
    border-image-slice: 1;
    border-image-source: linear-gradient(90deg, #042676 0%, #0846D9 50%, #042676 100%);
        padding: 140px 0;
}

.why-viewer .n-container {
    display: flex;
    gap: 60px;
}

.why-viewer .why-viewer__title-wrap {
    position: sticky;
    align-self: start;
    top: 140px;
    max-width: 600px;
}

.why-viewer h2 {
    color: var(--n-white);
}

.why-viewer .items {
    min-width: 0;
    flex: 1;
}

.why-viewer .items .swiper-wrapper {
    display: grid;
    grid-template-columns: auto minmax(0, 1fr) minmax(0, 1fr);
    gap: 20px 40px;
}

.why-viewer .item {
    display: grid;
    grid-template-columns: subgrid;
    grid-column: 1 / -1;
    background: linear-gradient(0deg, rgba(37, 95, 232, 0.08) 0%, rgba(49, 105, 233, 0.2) 100%);
    border-radius: 20px;
    padding: 32px;
    height: fit-content;

    grid-template-columns: auto minmax(0, 1fr) minmax(0, 1fr);
    gap: 20px 40px;
    box-sizing: border-box;
}

.why-viewer .item img {
    width: 48px;
    height: 48px;
}

.why-viewer .item .content {
    min-width: 0;
}

.why-viewer .item .content .main-h4 {
    color: var(--n-white);
    margin-bottom: 20px;
}

.why-viewer .item .content .small-text-medium {
    color: var(--d-white);
}

.why-viewer .item .points {
    display: flex;
    flex-direction: column;
    gap: 12px;
    min-width: 0;
}

.why-viewer .item .points .point {
    display: flex;
    align-items: center;
    gap: 12px;
    padding-bottom: 12px;
    border-bottom: 1px solid rgba(129, 189, 255, 0.2);
}

.why-viewer .item .points .point:last-child {
    border-bottom: none;
}

.why-viewer .item .points .point p {
    color: var(--n-very-light-accent);
}

.why-viewer .item .points .point svg{
   min-width: 20px;
   min-height: 20px;
}

.why-viewer .item .points .point p b{
    font-weight: 700;
}

@media (max-width: 1919px) {
    .why-viewer {
        padding: 100px 0;
    }

    .why-viewer .why-viewer__title-wrap {
        top: 100px;
        max-width: 400px;
    }

    .why-viewer .n-container {
        gap: 16px;
    }

    .why-viewer .items .swiper-wrapper,
    .why-viewer .item {
        gap: 20px 32px;
    }

    .why-viewer .item img {
        width: 40px;
        height: 40px;
    }

}

@media (max-width: 1439px) {
    .why-viewer {
        padding: 80px 0;
    }

    .why-viewer .why-viewer__title-wrap {
        top: 80px;
        max-width: 380px;
    }

    .why-viewer .items .swiper-wrapper{
        display: flex;
        flex-direction: column;
        gap: 20px;
        box-sizing: border-box;
    }

    .why-viewer .item {
        display: grid;
        grid-template-columns: auto 1fr;
        gap: 20px 32px;
        padding: 24px;
    }
    .why-viewer .item img {
        width: 32px;
        height: 32px;
        grid-column: 1 / span 2;
    }

    .why-viewer .item .content .main-h4{
        margin-bottom: 12px;
    }

    .why-viewer .item .content{
        width: 300px;
    }

    .why-viewer h2{
        max-width: 380px;
    }
}

@media (max-width: 1279px) {
    .why-viewer .n-container{
        flex-direction: column;
        gap: 60px;
    }

    .why-viewer .why-viewer__title-wrap {
        position: static;
        align-self: auto;
        max-width: 100%;
    }

    .why-viewer h2 {
        max-width: 100%;
        text-align: center;
    }
}

@media (max-width: 577px) {
    .why-viewer {
        padding: 60px 0;
        position: relative;
        padding-bottom: 100px;
    }

    .why-viewer .n-container{
        gap: 40px;
    }

    .why-viewer .items .swiper-wrapper{
        flex-direction: row;
        align-items: stretch;
        gap: 0;
    }

    .why-viewer .item{
        flex-direction: column;
        display: flex;
        height: auto;
        gap: 0;
    }

    .why-viewer .item .content{
        max-width: 100%;
        margin-top: 20px;
        margin-bottom: 32px;
    }

    .why-viewer .swiper-pagination-bullets.swiper-pagination-horizontal{
        display: block;
        bottom: 60px;
    }


    .why-viewer .swiper-pagination-bullet{
        background: var(--light-blue);
    }

    .why.swiper-pagination-bullet-active{
        background: var(--very-light-accent);
    }
}
